/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
'use strict';

/**
 * Ukrainian alphabet encoding where the key is the letter of the alphabet
 * and the value is the order number of the corresponding letter starting from 1.
 */
exports.AlphabetEncoding = void 0;
(function (AlphabetEncoding) {
    AlphabetEncoding[AlphabetEncoding["\u0430"] = 1] = "\u0430";
    AlphabetEncoding[AlphabetEncoding["\u0431"] = 2] = "\u0431";
    AlphabetEncoding[AlphabetEncoding["\u0432"] = 3] = "\u0432";
    AlphabetEncoding[AlphabetEncoding["\u0433"] = 4] = "\u0433";
    AlphabetEncoding[AlphabetEncoding["\u0491"] = 5] = "\u0491";
    AlphabetEncoding[AlphabetEncoding["\u0434"] = 6] = "\u0434";
    AlphabetEncoding[AlphabetEncoding["\u0435"] = 7] = "\u0435";
    AlphabetEncoding[AlphabetEncoding["\u0454"] = 8] = "\u0454";
    AlphabetEncoding[AlphabetEncoding["\u0436"] = 9] = "\u0436";
    AlphabetEncoding[AlphabetEncoding["\u0437"] = 10] = "\u0437";
    AlphabetEncoding[AlphabetEncoding["\u0438"] = 11] = "\u0438";
    AlphabetEncoding[AlphabetEncoding["\u0456"] = 12] = "\u0456";
    AlphabetEncoding[AlphabetEncoding["\u0457"] = 13] = "\u0457";
    AlphabetEncoding[AlphabetEncoding["\u0439"] = 14] = "\u0439";
    AlphabetEncoding[AlphabetEncoding["\u043A"] = 15] = "\u043A";
    AlphabetEncoding[AlphabetEncoding["\u043B"] = 16] = "\u043B";
    AlphabetEncoding[AlphabetEncoding["\u043C"] = 17] = "\u043C";
    AlphabetEncoding[AlphabetEncoding["\u043D"] = 18] = "\u043D";
    AlphabetEncoding[AlphabetEncoding["\u043E"] = 19] = "\u043E";
    AlphabetEncoding[AlphabetEncoding["\u043F"] = 20] = "\u043F";
    AlphabetEncoding[AlphabetEncoding["\u0440"] = 21] = "\u0440";
    AlphabetEncoding[AlphabetEncoding["\u0441"] = 22] = "\u0441";
    AlphabetEncoding[AlphabetEncoding["\u0442"] = 23] = "\u0442";
    AlphabetEncoding[AlphabetEncoding["\u0443"] = 24] = "\u0443";
    AlphabetEncoding[AlphabetEncoding["\u0444"] = 25] = "\u0444";
    AlphabetEncoding[AlphabetEncoding["\u0445"] = 26] = "\u0445";
    AlphabetEncoding[AlphabetEncoding["\u0446"] = 27] = "\u0446";
    AlphabetEncoding[AlphabetEncoding["\u0447"] = 28] = "\u0447";
    AlphabetEncoding[AlphabetEncoding["\u0448"] = 29] = "\u0448";
    AlphabetEncoding[AlphabetEncoding["\u0449"] = 30] = "\u0449";
    AlphabetEncoding[AlphabetEncoding["\u044C"] = 31] = "\u044C";
    AlphabetEncoding[AlphabetEncoding["\u044E"] = 32] = "\u044E";
    AlphabetEncoding[AlphabetEncoding["\u044F"] = 33] = "\u044F";
})(exports.AlphabetEncoding || (exports.AlphabetEncoding = {}));
/**
 * Size of Ukrainian alphabet.
 */
Object.keys(exports.AlphabetEncoding).length / 2;
