/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
'use strict';

/**
 * Enum representing the possible grammatical cases.
 */
exports.GrammaticalCase = void 0;
(function (GrammaticalCase) {
    GrammaticalCase["NOMINATIVE"] = "nominative";
    GrammaticalCase["GENITIVE"] = "genitive";
    GrammaticalCase["DATIVE"] = "dative";
    GrammaticalCase["ACCUSATIVE"] = "accusative";
    GrammaticalCase["ABLATIVE"] = "ablative";
    GrammaticalCase["LOCATIVE"] = "locative";
    GrammaticalCase["VOCATIVE"] = "vocative";
})(exports.GrammaticalCase || (exports.GrammaticalCase = {}));
