/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
'use strict';

var declensionRules = require('./rules/artifacts/declension-rules.json.js');
var wordInflector$1 = require('./word-inflector.js');

const wordInflector = new wordInflector$1.WordInflector(declensionRules.default);

exports.wordInflector = wordInflector;
