/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
'use strict';

require('../language/alphabet.js');
require('../language/word-class.js');
require('../language/grammatical-case.js');
require('../language/grammatical-gender.js');

exports.InflectionCommandAction = void 0;
(function (InflectionCommandAction) {
    InflectionCommandAction["REPLACE"] = "replace";
    InflectionCommandAction["APPEND"] = "append";
})(exports.InflectionCommandAction || (exports.InflectionCommandAction = {}));
