import { GrammaticalCase, GrammaticalGender } from '../language';
import { Anthroponym } from './anthroponym';
import { FamilyNameInflector } from './family-name-inflector';
import { GivenNameInflector } from './given-name-inflector';
import { PatronymicNameInflector } from './patronymic-name-inflector';
export declare class AnthroponymInflector {
    private readonly givenNameInflector;
    private readonly patronymicNameInflector;
    private readonly familyNameInflector;
    constructor(givenNameInflector: GivenNameInflector, patronymicNameInflector: PatronymicNameInflector, familyNameInflector: FamilyNameInflector);
    /**
     * Inflects the anthroponym in the given grammatical case.
     */
    inflect(anthroponym: Anthroponym, gender: GrammaticalGender, grammaticalCase: GrammaticalCase): Promise<Anthroponym>;
}
