import * as tf from '@tensorflow/tfjs';
import { FamilyNameClass } from './family-name-class';
export declare class FamilyNameClassifier {
    private readonly modelLoader;
    private modelPromise;
    private readonly wordTransformer;
    private readonly familyNameClassTransformer;
    constructor(modelLoader: tf.io.IOHandler);
    /**
     * Classifies the word class of a given family name.
     */
    classify(familyName: string): Promise<FamilyNameClass>;
    /**
     * Returns a classified family name class from the cache if exists.
     */
    private getCached;
    /**
     * Loads the model from the storage. If called multiple times, resolves the same model instance.
     */
    private loadModel;
}
