import { GrammaticalCase, GrammaticalGender } from '../language';
import { WordInflector } from '../word-declension';
import { FamilyNameClassifier } from './family-name-classifier';
import { NameInflector } from './name-inflector';
export declare class FamilyNameInflector extends NameInflector {
    private readonly wordInflector;
    private readonly familyNameClassifier;
    constructor(wordInflector: WordInflector, familyNameClassifier: FamilyNameClassifier);
    /**
     * @inheritdoc
     */
    protected inflectNamePart(familyName: string, gender: GrammaticalGender, grammaticalCase: GrammaticalCase, isLastWord: boolean): Promise<string>;
    /**
     * Determines whether a given family name could be both a noun or adjective word class.
     */
    private isUncertainFamilyNameClass;
}
