/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
import { NameInflector } from './name-inflector.js';

class GivenNameInflector extends NameInflector {
    constructor(wordInflector) {
        super();
        this.wordInflector = wordInflector;
    }
    /**
     * @inheritdoc
     */
    inflectNamePart(givenName, gender, grammaticalCase) {
        return this.wordInflector.inflect(givenName, {
            grammaticalCase: grammaticalCase,
            gender: gender,
            applicationType: 'givenName',
        });
    }
}

export { GivenNameInflector };
