/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
var masculine = "(ин|ій|ом|ам|ян|ан|ар|рт|ас|он|ін|ен|ем|ур|ип|ьд|ей|ко|ид|ст|ир|ав|сл|ис|ой|ил|им|др|ет|уб|ор|ад|ай|юб|од|юд|ол|ло|іб|ат|ун|ум|яд|іт|ик|ог|ач|ро|уг|ік|ід|то|ус|нн|ий|до|ев|ич|ух|ць|ег|сь|ів|ап|ім|зд|ац|єр|їл|рг|яр|лк|ок|іл|ох|іш|іг|ив|ук|ек|ош|иль|вір|ула|ята|зір|ива|иня|ега|лля|ьма|ука|пір|рит|мов|ага|дір|ала|ема|вит|воля|шата|ітер|біда|кита|кола|екса|лель|рава|сила|вута|урма|дота|чара|слава)$";
var feminine = "(ія|та|ая|на|да|за|са|ла|ка|ся|ра|ва|дя|ея|['’ʼ]я|ха|ма|ря|оя|га|па|дь|ня|ля|йя|ша|фа|ба|тя|ль|ут|уф|иф|iя|ста|ора|ика|їда|еса|ада|іта|іса|лла|еда|ела|іка|ида|иса|рта|ава|нда|ара|сса|кла|ера|тта|іра|ира|уда|рка|нка|мма|їла|ьда|фір|єва|вга|ета|шка|има|ата|яда|нга|зка|дра|тка|тра|уня|еля|ола|аня|бов|ила|вка|гда|ьва|чка|ога|йда|аля|лка|дка|ель|ьга|сла|ова|вла|зга|ева|зда|ька|їса|ека|кка|ода|ява|нта|рра|яра|ока|оня|кля|іва|ита|дит|хва|іга|гата|бара|лава|вара|іола|тава|уель|стер|бава|лата|ірма|фата|лара|дара|пава|мила|лола|ьоля|рита|рута|нель|ната|ніда|сава|шель|сара|зара|мара|лита|ікса|тата|цата|фота|ичара|услава|еслава|ислава|іслава|ослава|аслава|дслава|гуслава|леслава|рислава|ніслава|рослава|дислава|сеслава|чеслава|нислава|реслава|тослава|бислава|бослава|числава|лослава|тислава|діслава|наслава|гослава|едслава|дослава|біслава|цеслава)$";
var givenNameRules = {
	masculine: masculine,
	feminine: feminine
};

export { givenNameRules as default, feminine, masculine };
