/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
export { detectGender, inAblative, inAccusative, inDative, inGenitive, inLocative, inNominative, inVocative } from './shevchenko.js';
export { InputValidationError } from './input-validation.js';
export { GrammaticalCase } from './language/grammatical-case.js';
export { GrammaticalGender } from './language/grammatical-gender.js';
export { WordClass } from './language/word-class.js';
export { WordInflector } from './word-declension/word-inflector.js';
export { registerExtension } from './extension.js';
