import { DeclensionInput, GenderDetectionInput } from './contracts';
export declare class InputValidationError extends TypeError {
}
/**
 * Validates if a given value is a valid input for declension.
 *
 * @throws {InputValidationError}
 */
export declare function validateDeclensionInput(input: unknown): asserts input is DeclensionInput;
/**
 * Validates if a given value is a valid input for gender detection.
 *
 * @throws {InputValidationError}
 */
export declare function validateGenderDetectionInput(input: unknown): asserts input is GenderDetectionInput;
