/**
 * Ukrainian alphabet encoding where the key is the letter of the alphabet
 * and the value is the order number of the corresponding letter starting from 1.
 */
export declare enum AlphabetEncoding {
    'а' = 1,
    'б' = 2,
    'в' = 3,
    'г' = 4,
    'ґ' = 5,
    'д' = 6,
    'е' = 7,
    'є' = 8,
    'ж' = 9,
    'з' = 10,
    'и' = 11,
    'і' = 12,
    'ї' = 13,
    'й' = 14,
    'к' = 15,
    'л' = 16,
    'м' = 17,
    'н' = 18,
    'о' = 19,
    'п' = 20,
    'р' = 21,
    'с' = 22,
    'т' = 23,
    'у' = 24,
    'ф' = 25,
    'х' = 26,
    'ц' = 27,
    'ч' = 28,
    'ш' = 29,
    'щ' = 30,
    'ь' = 31,
    'ю' = 32,
    'я' = 33
}
/**
 * Size of Ukrainian alphabet.
 */
export declare const ALPHABET_SIZE: number;
/**
 * A letter of Ukrainian alphabet.
 */
export type Letter = keyof typeof AlphabetEncoding;
