import { GrammaticalCase } from '../language';
import { DeclensionRule } from './declension-types';
/**
 * Counts a number of groups in a given regular expression.
 */
export declare function countGroups(src: RegExp | string): number;
export declare class DeclensionRuleInflector {
    private readonly rule;
    private readonly commandRunnerFactory;
    constructor(rule: DeclensionRule);
    /**
     * Inflects the given word in the given grammatical case using the rule.
     */
    inflect(word: string, grammaticalCase: GrammaticalCase): string;
}
