import { GrammaticalGender } from '../language';
import { ApplicationType, DeclensionRule } from './declension-types';
/**
 * Determines if a given declension rule applies to a specified gender.
 */
export declare function isGenderApplicable(rule: DeclensionRule, gender: GrammaticalGender): boolean;
/**
 * Determines if a given declension rule applies to a specified application type.
 */
export declare function isApplicable(rule: DeclensionRule, applicationType: ApplicationType): boolean;
/**
 * Determines if a given declension rule strictly applies to a specified application type.
 */
export declare function isStriclyApplicable(rule: DeclensionRule, applicationType: ApplicationType): boolean;
/**
 * Determines if a given declension rule applies to a specified word.
 */
export declare function isWordApplicable(rule: DeclensionRule, word: string): boolean;
